Web lists-archives.com

Bug#886238: closed by Bastian Blank <waldi@xxxxxxxxxx> (Re: Bug#886238: Please introduce official nosystemd build profile)




On Mon, 08 Jan 2018, Hleb Valoshka wrote:
> "as it was in previous package versions"
>
> It was removed in 1.8.1-3, but it was in <= 1.8.1-2.

It was removed in 1.8.1-3 because upstream has switched to distributing
a dns-dnscrypt-proxy.conf and /etc/default/dnsscript-proxy is no longer
used at all.

> There is no need for new patches, he just needs to do `git revert
> de160d3eeb320`. That's all. I wrote this in the previous mail but w/o
> sha-id. Devuan package ships that old init scripts with small changes.

Devuan does not support reading the new upstream configuration file,
which is what new patches are needed to support. This is pretty classic
bitrot of an underused/under-tested execution path.

All of that said, if you are interested in Debian supporting a nosystemd
build profile, continuing to escalate conflicts with other developers is
not helping your cause.

-- 
Don Armstrong                      https://www.donarmstrong.com

I've had so much good luck recently I was getting sated with it. It's
like sugar, good luck. At first it's very sweet, but after a while you
start to think: any more of this and I shall be sick.
 -- Adam Roberts _Yellow Blue Tibia_ p301